Package org.silverpeas.components.whitepages.control

# Class CardHeader

java.lang.Object
org.silverpeas.core.i18n.AbstractI18NBean<org.silverpeas.core.i18n.BeanTranslation>
org.silverpeas.core.i18n.AbstractBean
org.silverpeas.components.whitepages.control.CardHeader

All Implemented Interfaces:
  `Serializable`, `Comparable<CardHeader>`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.LocalizedContribution`, `org.silverpeas.core.i18n.I18NBean<org.silverpeas.core.i18n.BeanTranslation>`, `org.silverpeas.core.i18n.Translatable`, `org.silverpeas.core.i18n.Translation`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public final class CardHeader extends org.silverpeas.core.i18n.AbstractBean implements org.silverpeas.core.contribution.model.LocalizedContribution, org.silverpeas.core.Identifiable, Comparable<CardHeader>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardHeader(long id, Card card, String instanceId, String date, String creatorId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CardHeader other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getContributionType()`
  `Date`
  `getCreationDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getCreator()`
  `String`
  `getCreatorId()`
  `String`
  `getId()`
  `org.silverpeas.core.contribution.model.ContributionIdentifier`
  `getIdentifier()`
  `String`
  `getInstanceId()`
  `Date`
  `getLastUpdateDate()`
  `org.silverpeas.core.admin.user.model.User`
  `getLastUpdater()`
  `String`
  `getTitle()`
  `String`
  `getURL()`
  `int`
  `hashCode()`
  `void`
  `init(long id, Card card)`

  ### Methods inherited from class org.silverpeas.core.i18n.AbstractBean

  `getDescription, getLanguages, getName, getTranslationType`

  ### Methods inherited from class org.silverpeas.core.i18n.AbstractI18NBean

  `addTranslation, getClonedTranslations, getDescription, getLanguage, getLanguageToDisplay, getName, getNextTranslation, getTranslation, getTranslationId, getTranslations, isRemoveTranslation, setDescription, setLanguage, setName, setRemoveTranslation, setTranslationId, setTranslations, setTranslations`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `canBeAccessedBy, getDescription, getModel, getName, getResourcePath, isIndexable`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.LocalizedContribution

  `getLanguage`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

- ## Constructor Details

  - ### CardHeader

    public CardHeader(long id, Card card, String instanceId, String date, String creatorId)

- ## Method Details

  - ### init

    public void init(long id, Card card)

  - ### getURL

    public String getURL()

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `org.silverpeas.core.Identifiable`

  - ### getInstanceId

    public String getInstanceId()

  - ### getIdentifier

    public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
    Specified by:
      `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### getContributionType

    public String getContributionType()
    Specified by:
      `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

  - ### getCreatorId

    public String getCreatorId()

  - ### getCreationDate

    public Date getCreationDate()
    Specified by:
      `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdateDate

    public Date getLastUpdateDate()
    Specified by:
      `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getCreator

    public org.silverpeas.core.admin.user.model.User getCreator()
    Specified by:
      `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

  - ### getLastUpdater

    public org.silverpeas.core.admin.user.model.User getLastUpdater()
    Specified by:
      `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

  - ### compareTo

    public int compareTo(CardHeader other)
    Specified by:
      `compareTo` in interface `Comparable<CardHeader>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`